Apis::V4::OrganizationalPermissions API

create a new organizational_permission

Parameters

Name Description type
access_token JSON Web Token retrieved from the Sessions endpoint (you can also passthis into the Authorization header)
data The payload data that will be serialized to create the organizational_permission
data[attributes][community_code] The community code of the organization you want to join. Can be omitted if passing community_url String
data[attributes][community_url] The community url of the organization you want to join. Can be omitted if passing community_code String

Request

Headers

Version: HTTP/1.0
Accept: application/vnd.api+json
Content-Type: application/vnd.api+json
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMTIsImV4cCI6MTc5NDU0MDIxNCwiaWF0IjoxNzk0NTQwMDM0fQ.9XKY7ETDOLu5HJG4vRrT8s8PBalPtr5DX9ZGjH6bYKU
Host: example.org
Cookie: 

Route

POST /apis/v4/organizational_permissions

Body

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/vnd.api+json
Vary: Accept
X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMTIsImV4cCI6MTc5NDcxMjgzNCwiaWF0IjoxNzk0NTQwMDM0fQ.tFie7qVcPtmTIHKqkfhF9CeKJwlSOh8exhLHOAbQuf4
Access-Control-Expose-Headers: X-MH-Session
Cache-Control: no-cache
X-Request-Id: 82f208fb-2a3a-432a-bfc7-eaf25d05907f
X-Runtime: 0.028170

Status

201